## com.saxonica.ptree
Class PTreeWriter

    java.lang.Object
      com.saxonica.ptree.PTreeWriter

    public class PTreeWriter

extends Object

This class serializes a TinyTree to a binary file on disk, in a proprietary format designed for speed of loading back into a new TinyTree.

The format stored on disk is not dependent on the NamePool. Although it still uses name codes, it also contains a mapping of namecodes to the actual QNames.

The base URIs of nodes are not retained. Line numbers (if they were present in the original tree) are not retained.

Constructor Summary
`PTreeWriter()`

Method Summary
`static void` `main(String[] args)`
`void` `writeTree(TinyTree tree, DataOutputStream out)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PTreeWriter

    public PTreeWriter()

Method Detail

### writeTree

    public void writeTree(TinyTree tree,
                          DataOutputStream out)
                   throws IOException

  Throws:
    `IOException`

### main

    public static void main(String[] args)
                     throws Exception

  Throws:
    `Exception`

Copyright (C) Michael H. Kay. All rights reserved.